commit f43a6bd08797eae0243b4110b2fbd4700a349ce7
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sat Jan 11 19:16:57 2025 +0100

    testsuite: The expect framework might introduce CR in output
    
    When running tests using the "sim" config, the command is launched in
    non-readonly mode and the text retrieved from the expect command will
    then replace all LF with CRLF. (The problem can be found in sim_load
    where it calls remote_spawn without an input file).
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/27_io/print/1.cc: Allow both LF and CRLF in test.
            * testsuite/27_io/print/3.cc: Likewise.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 4b29be7216daa5921aae340388ef6416b1631f0a)

diff --git a/libstdc++-v3/testsuite/27_io/print/1.cc b/libstdc++-v3/testsuite/27_io/print/1.cc
index f6585d9880a..2a74e5002f4 100644
--- a/libstdc++-v3/testsuite/27_io/print/1.cc
+++ b/libstdc++-v3/testsuite/27_io/print/1.cc
@@ -18,7 +18,7 @@ void
 test_println_default()
 {
   std::println("I walk the line");
-  // { dg-output "I walk the line\n" }
+  // { dg-output "I walk the line\r?\n" }
 }
 
 void
diff --git a/libstdc++-v3/testsuite/27_io/print/3.cc b/libstdc++-v3/testsuite/27_io/print/3.cc
index ffcf7337ce5..90c4cfb0d48 100644
--- a/libstdc++-v3/testsuite/27_io/print/3.cc
+++ b/libstdc++-v3/testsuite/27_io/print/3.cc
@@ -13,7 +13,7 @@ test_println_blank()
   std::print("1");
   std::println();
   std::println("2");
-  // { dg-output "1\n2" }
+  // { dg-output "1\r?\n2" }
 }
 
 void

